public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2019-07-13 13:41 Ralph Seichter
  0 siblings, 0 replies; 25+ messages in thread
From: Ralph Seichter @ 2019-07-13 13:41 UTC (permalink / raw
  To: gentoo-commits

commit:     268c1ef53dd1715bb3ab098d7c229e2daade4176
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Jul 13 09:40:16 2019 +0000
Commit:     Ralph Seichter <gentoo <AT> seichter <DOT> de>
CommitDate: Sat Jul 13 09:40:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=268c1ef5

games-arcade/taisei: description, upstream, USE=zip

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/metadata.xml | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/games-arcade/taisei/metadata.xml b/games-arcade/taisei/metadata.xml
index c698af2..3111344 100644
--- a/games-arcade/taisei/metadata.xml
+++ b/games-arcade/taisei/metadata.xml
@@ -5,4 +5,15 @@
 		<email>contact@hacktivis.me</email>
 		<name>Haelwenn (lanodan) Monnier</name>
 	</maintainer>
+	<upstream>
+		<bugs-to>https://github.com/taisei-project/taisei/issues</bugs-to>
+		<changelog>https://taisei-project.org/news.atom</changelog>
+		<remote-id type="github">taisei-project/taisei</remote-id>
+	</upstream>
+	<longdescription lang="en">
+		Taisei is an open clone of the Touhou Project series. Touhou is a one-man project of shoot-em-up games set in an isolated world full of Japanese folklore.
+	</longdescription>
+	<use>
+		<flag name="zip">Enable loading of game data from ZIP packages via <pkg>dev-libs/libzip</pkg></flag>
+	</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2019-07-13 13:41 Ralph Seichter
  0 siblings, 0 replies; 25+ messages in thread
From: Ralph Seichter @ 2019-07-13 13:41 UTC (permalink / raw
  To: gentoo-commits

commit:     e685fb45fa17628b8340b6ae091cb39f33215cdf
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Fri Jul  5 07:06:07 2019 +0000
Commit:     Ralph Seichter <gentoo <AT> seichter <DOT> de>
CommitDate: Fri Jul  5 07:06:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e685fb45

games-arcade/taisei: New Package

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest          |  1 +
 games-arcade/taisei/metadata.xml      |  8 +++++++
 games-arcade/taisei/taisei-1.3.ebuild | 40 +++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
new file mode 100644
index 0000000..866ac2d
--- /dev/null
+++ b/games-arcade/taisei/Manifest
@@ -0,0 +1 @@
+DIST taisei-v1.3.tar.xz 104340220 BLAKE2B 363124855e9f429708209135c3b3cfef31a66b6b3d898f8411d9da781facc4a1f8a0b29d7fdee586b269b004c95570c35e98837b75de17e8fe108ee825501c99 SHA512 1387d7936bcd1e7d827be94698cb649d91e7c06ba642b3c897e3c3548f58a4933667cb8ced380eb4df9d2127b5a1a101a9f8ddd1301935ae14a5dbbebf4f2bde

diff --git a/games-arcade/taisei/metadata.xml b/games-arcade/taisei/metadata.xml
new file mode 100644
index 0000000..c698af2
--- /dev/null
+++ b/games-arcade/taisei/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>contact@hacktivis.me</email>
+		<name>Haelwenn (lanodan) Monnier</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/games-arcade/taisei/taisei-1.3.ebuild b/games-arcade/taisei/taisei-1.3.ebuild
new file mode 100644
index 0000000..a70aa18
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2019 Haelwenn (lanodan) Monnier <contact@hacktivis.me>
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="http://taisei-project.org/"
+LICENSE="BSD"
+SLOT="0"
+SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+KEYWORDS="~amd64"
+IUSE="zip"
+
+S="${WORKDIR}/${PN}-v${PV}"
+
+DEPEND="
+	media-libs/freetype:2
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/sdl2-mixer
+	media-libs/libwebp
+	sys-libs/zlib
+	zip? ( dev-libs/libzip )
+"
+
+src_prepare() {
+	sed -i '/strip=true/d' meson.build || die "Failed removing auto-stripping"
+	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'taisei-${PV}\')/" \
+		meson.build || die "Failed changing doc_path"
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use zip enable_zip)
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2019-11-25 15:32 Ralph Seichter
  0 siblings, 0 replies; 25+ messages in thread
From: Ralph Seichter @ 2019-11-25 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     54da3c0dd940e4db36d4ccdc1896394fdbe6ceb9
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Oct 19 15:39:53 2019 +0000
Commit:     Ralph Seichter <gentoo <AT> seichter <DOT> de>
CommitDate: Sat Nov 23 14:16:19 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=54da3c0d

games-arcade/taisei: Version clean, 1.3

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest          |  1 -
 games-arcade/taisei/taisei-1.3.ebuild | 40 -----------------------------------
 2 files changed, 41 deletions(-)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index bbbc781..f1112cb 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1,2 +1 @@
 DIST taisei-v1.3.1.tar.xz 70763196 BLAKE2B ca1901ba0205f6771c087ee70222ceaa3c406a1c632a5f46df1fe4fe493c89af8b587e397551777cd956ab73b5104450356303d0ea0cb8d5cd1b6723ceb1d648 SHA512 5e6f364e67717091041a30103bf117bb5d7a6be76d3d9499b13e36fc190be8c2a0e7ceb582e1d106aa0c1acbb6e39b99a4873a0885af1ec2117ff6ff08e14e3c
-DIST taisei-v1.3.tar.xz 104340220 BLAKE2B 363124855e9f429708209135c3b3cfef31a66b6b3d898f8411d9da781facc4a1f8a0b29d7fdee586b269b004c95570c35e98837b75de17e8fe108ee825501c99 SHA512 1387d7936bcd1e7d827be94698cb649d91e7c06ba642b3c897e3c3548f58a4933667cb8ced380eb4df9d2127b5a1a101a9f8ddd1301935ae14a5dbbebf4f2bde

diff --git a/games-arcade/taisei/taisei-1.3.ebuild b/games-arcade/taisei/taisei-1.3.ebuild
deleted file mode 100644
index a70aa18..0000000
--- a/games-arcade/taisei/taisei-1.3.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2019 Haelwenn (lanodan) Monnier <contact@hacktivis.me>
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit meson
-
-DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
-HOMEPAGE="http://taisei-project.org/"
-LICENSE="BSD"
-SLOT="0"
-SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
-KEYWORDS="~amd64"
-IUSE="zip"
-
-S="${WORKDIR}/${PN}-v${PV}"
-
-DEPEND="
-	media-libs/freetype:2
-	>=media-libs/libpng-1.5
-	media-libs/libsdl2
-	media-libs/sdl2-mixer
-	media-libs/libwebp
-	sys-libs/zlib
-	zip? ( dev-libs/libzip )
-"
-
-src_prepare() {
-	sed -i '/strip=true/d' meson.build || die "Failed removing auto-stripping"
-	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'taisei-${PV}\')/" \
-		meson.build || die "Failed changing doc_path"
-	default
-}
-
-src_configure() {
-	local emesonargs=(
-		$(meson_use zip enable_zip)
-	)
-	meson_src_configure
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2019-11-25 15:32 Ralph Seichter
  0 siblings, 0 replies; 25+ messages in thread
From: Ralph Seichter @ 2019-11-25 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     774c922f04629fed729fe1261d885ca60b5f457b
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Oct 19 15:38:28 2019 +0000
Commit:     Ralph Seichter <gentoo <AT> seichter <DOT> de>
CommitDate: Sat Nov 23 14:16:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=774c922f

games-arcade/taisei: Version bump, 1.3.1

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest            |  1 +
 games-arcade/taisei/taisei-1.3.1.ebuild | 40 +++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index 866ac2d..bbbc781 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1 +1,2 @@
+DIST taisei-v1.3.1.tar.xz 70763196 BLAKE2B ca1901ba0205f6771c087ee70222ceaa3c406a1c632a5f46df1fe4fe493c89af8b587e397551777cd956ab73b5104450356303d0ea0cb8d5cd1b6723ceb1d648 SHA512 5e6f364e67717091041a30103bf117bb5d7a6be76d3d9499b13e36fc190be8c2a0e7ceb582e1d106aa0c1acbb6e39b99a4873a0885af1ec2117ff6ff08e14e3c
 DIST taisei-v1.3.tar.xz 104340220 BLAKE2B 363124855e9f429708209135c3b3cfef31a66b6b3d898f8411d9da781facc4a1f8a0b29d7fdee586b269b004c95570c35e98837b75de17e8fe108ee825501c99 SHA512 1387d7936bcd1e7d827be94698cb649d91e7c06ba642b3c897e3c3548f58a4933667cb8ced380eb4df9d2127b5a1a101a9f8ddd1301935ae14a5dbbebf4f2bde

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1.ebuild
new file mode 100644
index 0000000..a70aa18
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2019 Haelwenn (lanodan) Monnier <contact@hacktivis.me>
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="http://taisei-project.org/"
+LICENSE="BSD"
+SLOT="0"
+SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+KEYWORDS="~amd64"
+IUSE="zip"
+
+S="${WORKDIR}/${PN}-v${PV}"
+
+DEPEND="
+	media-libs/freetype:2
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/sdl2-mixer
+	media-libs/libwebp
+	sys-libs/zlib
+	zip? ( dev-libs/libzip )
+"
+
+src_prepare() {
+	sed -i '/strip=true/d' meson.build || die "Failed removing auto-stripping"
+	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'taisei-${PV}\')/" \
+		meson.build || die "Failed changing doc_path"
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use zip enable_zip)
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
  2020-03-09 17:51 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-03-09 17:55 ` Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2020-03-09 17:55 UTC (permalink / raw
  To: gentoo-commits

commit:     cbf5b7991906665ddfac0d992d40ba372b9c05f4
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Mar  9 17:50:30 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  9 17:50:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=cbf5b799

games-arcade/taisei: fix header to make repoman happy

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 games-arcade/taisei/taisei-1.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1.ebuild
index a70aa18..a88c827 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019 Haelwenn (lanodan) Monnier <contact@hacktivis.me>
+# Copyright 2019-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2020-04-12 16:39 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2020-04-12 16:39 UTC (permalink / raw
  To: gentoo-commits

commit:     914467af0bf52c4e7893d9018e9fd3b321c46aa6
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sun Apr 12 10:25:18 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Apr 12 10:25:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=914467af

games-arcade/taisei: fix HOMEPAGE to use https instead of http

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 games-arcade/taisei/taisei-1.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1.ebuild
index a88c827..ef0458c 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 inherit meson
 
 DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
-HOMEPAGE="http://taisei-project.org/"
+HOMEPAGE="https://taisei-project.org/"
 LICENSE="BSD"
 SLOT="0"
 SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2020-06-02 17:07 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2020-06-02 17:07 UTC (permalink / raw
  To: gentoo-commits

commit:     eee55ae2995fbed8258f126d8689789fb195e071
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Tue Jun  2 15:43:58 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Jun  2 15:43:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eee55ae2

games-arcade/taisei: Add live ebuild, BDEPEND, doc/lto, LICENSE.

This adds:
- Me as additional maintainer (clarified with @lanodan).
- doc USE flag to build docs conditionally.
- lto USE flag (upstream has it default on).
- missing BDEPEND packages.
- A live ebuild.
- Fixes LICENSE.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/metadata.xml        |  5 +++
 games-arcade/taisei/taisei-1.3.1.ebuild | 30 +++++++++++++-----
 games-arcade/taisei/taisei-9999.ebuild  | 54 +++++++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+), 8 deletions(-)

diff --git a/games-arcade/taisei/metadata.xml b/games-arcade/taisei/metadata.xml
index 3111344..8d7c68e 100644
--- a/games-arcade/taisei/metadata.xml
+++ b/games-arcade/taisei/metadata.xml
@@ -5,6 +5,10 @@
 		<email>contact@hacktivis.me</email>
 		<name>Haelwenn (lanodan) Monnier</name>
 	</maintainer>
+	<maintainer type="person">
+		<email>o.freyermuth@googlemail.com</email>
+		<name>Oliver Freyermuth</name>
+	</maintainer>
 	<upstream>
 		<bugs-to>https://github.com/taisei-project/taisei/issues</bugs-to>
 		<changelog>https://taisei-project.org/news.atom</changelog>
@@ -14,6 +18,7 @@
 		Taisei is an open clone of the Touhou Project series. Touhou is a one-man project of shoot-em-up games set in an isolated world full of Japanese folklore.
 	</longdescription>
 	<use>
+		<flag name="lto">Enable link time optimization</flag>
 		<flag name="zip">Enable loading of game data from ZIP packages via <pkg>dev-libs/libzip</pkg></flag>
 	</use>
 </pkgmetadata>

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1.ebuild
index ef0458c..a8371fb 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -5,15 +5,22 @@ EAPI=7
 
 inherit meson
 
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	KEYWORDS=""
+	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+	KEYWORDS="~amd64"
+	S="${WORKDIR}/${PN}-v${PV}"
+fi
+
 DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
 HOMEPAGE="https://taisei-project.org/"
-LICENSE="BSD"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
 SLOT="0"
-SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
-KEYWORDS="~amd64"
-IUSE="zip"
 
-S="${WORKDIR}/${PN}-v${PV}"
+IUSE="doc +lto zip"
 
 DEPEND="
 	media-libs/freetype:2
@@ -24,17 +31,24 @@ DEPEND="
 	sys-libs/zlib
 	zip? ( dev-libs/libzip )
 "
+BDEPEND=">=dev-util/meson-0.49
+	>=dev-lang/python-3.5
+	doc? ( dev-python/docutils )"
 
 src_prepare() {
-	sed -i '/strip=true/d' meson.build || die "Failed removing auto-stripping"
-	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'taisei-${PV}\')/" \
-		meson.build || die "Failed changing doc_path"
+	if use doc; then
+		sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${P}\')/" \
+			meson.build || die "Failed changing doc_path"
+	fi
 	default
 }
 
 src_configure() {
 	local emesonargs=(
+		$(meson_use doc docs)
+		$(meson_use lto b_lto)
 		$(meson_use zip enable_zip)
+		-Dstrip=false
 	)
 	meson_src_configure
 }

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
new file mode 100644
index 0000000..a8371fb
--- /dev/null
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	KEYWORDS=""
+	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+	KEYWORDS="~amd64"
+	S="${WORKDIR}/${PN}-v${PV}"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc +lto zip"
+
+DEPEND="
+	media-libs/freetype:2
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/sdl2-mixer
+	media-libs/libwebp
+	sys-libs/zlib
+	zip? ( dev-libs/libzip )
+"
+BDEPEND=">=dev-util/meson-0.49
+	>=dev-lang/python-3.5
+	doc? ( dev-python/docutils )"
+
+src_prepare() {
+	if use doc; then
+		sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${P}\')/" \
+			meson.build || die "Failed changing doc_path"
+	fi
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use doc docs)
+		$(meson_use lto b_lto)
+		$(meson_use zip enable_zip)
+		-Dstrip=false
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-04-08 17:20 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-04-08 17:20 UTC (permalink / raw
  To: gentoo-commits

commit:     2d6dd17171f573fe353110e8695ae8c42a5940e2
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Thu Apr  8 11:15:16 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr  8 11:15:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2d6dd171

games-arcade/taisei: Add missing dependency on opus.

Closes: https://bugs.gentoo.org/780939
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-1.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1.ebuild
index cbecc2fbc..26982cbef 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -27,7 +27,7 @@ DEPEND="
 	media-libs/freetype:2
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
-	media-libs/sdl2-mixer
+	media-libs/sdl2-mixer[opus]
 	media-libs/libwebp
 	sys-libs/zlib
 	zip? ( dev-libs/libzip )


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-04-08 17:20 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-04-08 17:20 UTC (permalink / raw
  To: gentoo-commits

commit:     8586f53f8fe28e62cc5dc2d27775ad2a1005f415
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Thu Apr  8 11:16:40 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr  8 11:16:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8586f53f

games-arcade/taisei: Adapt live ebuild to upstream refactoring.

Dependency on SDL2-mixer is dropped,
media-libs/opusfile and app-arch/zstd added, require newer meson.

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-9999.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index cbecc2fbc..9213c4124 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -27,13 +27,14 @@ DEPEND="
 	media-libs/freetype:2
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
-	media-libs/sdl2-mixer
+	media-libs/opusfile
 	media-libs/libwebp
+	app-arch/zstd
 	sys-libs/zlib
 	zip? ( dev-libs/libzip )
 "
 BDEPEND="
-	>=dev-util/meson-0.49
+	>=dev-util/meson-0.53
 	${PYTHON_DEPS}
 	doc? ( dev-python/docutils )"
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-04-17 20:00 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-04-17 20:00 UTC (permalink / raw
  To: gentoo-commits

commit:     a48417a2831485278cd96048f9a7820b8349d3a0
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Apr 17 17:38:41 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Apr 17 17:38:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a48417a2

games-arcade/taisei: Use xdg-utils and update DBs and caches.

This updates xdg-icon-cache, desktop-db and mimeinfo-db,
which is needed since an icon, mime info and desktop files
with mime info are being installed.

Revbump to apply these changes.

Closes: https://bugs.gentoo.org/783450
Closes: https://bugs.gentoo.org/783453
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 .../taisei/{taisei-1.3.1.ebuild => taisei-1.3.1-r1.ebuild} | 14 +++++++++++++-
 games-arcade/taisei/taisei-9999.ebuild                     | 14 +++++++++++++-
 2 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
similarity index 83%
rename from games-arcade/taisei/taisei-1.3.1.ebuild
rename to games-arcade/taisei/taisei-1.3.1-r1.ebuild
index 26982cbef..381361ff3 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8,9} )
 
-inherit meson python-any-r1
+inherit meson python-any-r1 xdg-utils
 
 if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
@@ -54,3 +54,15 @@ src_configure() {
 	)
 	meson_src_configure
 }
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 9213c4124..a50bcba07 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8,9} )
 
-inherit meson python-any-r1
+inherit meson python-any-r1 xdg-utils
 
 if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
@@ -55,3 +55,15 @@ src_configure() {
 	)
 	meson_src_configure
 }
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-04-18  9:10 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-04-18  9:10 UTC (permalink / raw
  To: gentoo-commits

commit:     f518b2af305b931df4533dbea276f13279d74d60
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sun Apr 18 00:53:34 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Apr 18 00:53:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f518b2af

games-arcade/taisei: Migrate from xdg-utils to xdg eclass.

Allows to drop the pkg_* phases.

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-1.3.1-r1.ebuild | 14 +-------------
 games-arcade/taisei/taisei-9999.ebuild     | 14 +-------------
 2 files changed, 2 insertions(+), 26 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.3.1-r1.ebuild b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
index 381361ff3..8ec848b13 100644
--- a/games-arcade/taisei/taisei-1.3.1-r1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8,9} )
 
-inherit meson python-any-r1 xdg-utils
+inherit meson python-any-r1 xdg
 
 if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
@@ -54,15 +54,3 @@ src_configure() {
 	)
 	meson_src_configure
 }
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index a50bcba07..a1029653d 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8,9} )
 
-inherit meson python-any-r1 xdg-utils
+inherit meson python-any-r1 xdg
 
 if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
@@ -55,15 +55,3 @@ src_configure() {
 	)
 	meson_src_configure
 }
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-	xdg_mimeinfo_database_update
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-04-24 23:19 Theo Anderson
  0 siblings, 0 replies; 25+ messages in thread
From: Theo Anderson @ 2021-04-24 23:19 UTC (permalink / raw
  To: gentoo-commits

commit:     bdf198f3d79536be5dd7071504daaa17c57d47dd
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Apr 24 16:00:02 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat Apr 24 16:00:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bdf198f3

games-arcade/taisei: Turn off LTO by default.

Upstream has this enabled, but it is not supported
by default on Gentoo and causes breakage in some
configurations.

Closes: https://bugs.gentoo.org/785373
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-1.3.1-r1.ebuild | 2 +-
 games-arcade/taisei/taisei-9999.ebuild     | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.3.1-r1.ebuild b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
index 8ec848b13..94ff5f565 100644
--- a/games-arcade/taisei/taisei-1.3.1-r1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="https://taisei-project.org/"
 LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
 SLOT="0"
 
-IUSE="doc +lto zip"
+IUSE="doc lto zip"
 
 DEPEND="
 	media-libs/freetype:2

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index a1029653d..5e41d40f0 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="https://taisei-project.org/"
 LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
 SLOT="0"
 
-IUSE="doc +lto zip"
+IUSE="doc lto zip"
 
 DEPEND="
 	media-libs/freetype:2


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-05-02  9:27 Theo Anderson
  0 siblings, 0 replies; 25+ messages in thread
From: Theo Anderson @ 2021-05-02  9:27 UTC (permalink / raw
  To: gentoo-commits

commit:     81daa27477f618ec27731670996f6769622b9471
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat May  1 15:37:50 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat May  1 15:37:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=81daa274

games-arcade/taisei: Add dev-libs/cglm BDEPEND for live ebuild.

This library was previously bundled,
it is now unbundled upstream and packaged.

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-9999.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 5e41d40f0..6d7deef43 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -34,6 +34,7 @@ DEPEND="
 	zip? ( dev-libs/libzip )
 "
 BDEPEND="
+	>=dev-libs/cglm-0.7.8
 	>=dev-util/meson-0.53
 	${PYTHON_DEPS}
 	doc? ( dev-python/docutils )"


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-05-02  9:27 Theo Anderson
  0 siblings, 0 replies; 25+ messages in thread
From: Theo Anderson @ 2021-05-02  9:27 UTC (permalink / raw
  To: gentoo-commits

commit:     7dff456a8751745342f66b486c3f63504c23f462
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat May  1 15:39:04 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat May  1 15:39:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7dff456a

games-arcade/taisei: Bump version to 1.3.2.

New version BDEPENDs on previously bundled
dev-libs/cglm.

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/Manifest            |  1 +
 games-arcade/taisei/taisei-1.3.2.ebuild | 57 +++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index f1112cb62..cec7ddb69 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1 +1,2 @@
 DIST taisei-v1.3.1.tar.xz 70763196 BLAKE2B ca1901ba0205f6771c087ee70222ceaa3c406a1c632a5f46df1fe4fe493c89af8b587e397551777cd956ab73b5104450356303d0ea0cb8d5cd1b6723ceb1d648 SHA512 5e6f364e67717091041a30103bf117bb5d7a6be76d3d9499b13e36fc190be8c2a0e7ceb582e1d106aa0c1acbb6e39b99a4873a0885af1ec2117ff6ff08e14e3c
+DIST taisei-v1.3.2.tar.xz 70481856 BLAKE2B 608b5db6f17e2693539ce0742a1812633e91e901b3935b9e54f91514827642334f6cb6f0217aff713f1ff9dd01d971ae895ac8c98b0360f254b52d3e49bfae61 SHA512 9304c082106dfa1ffcf6c8fb7333e64755b1246ef50b9f49d3e64d167eb15575ac667ca658b1d7e247582e164e703e5817384556dd633f5516670d975817717d

diff --git a/games-arcade/taisei/taisei-1.3.2.ebuild b/games-arcade/taisei/taisei-1.3.2.ebuild
new file mode 100644
index 000000000..05f6ff546
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.3.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit meson python-any-r1 xdg
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+	KEYWORDS="~amd64"
+	S="${WORKDIR}/${PN}-v${PV}"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc lto zip"
+
+DEPEND="
+	media-libs/freetype:2
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/sdl2-mixer[opus]
+	media-libs/libwebp
+	sys-libs/zlib
+	zip? ( dev-libs/libzip )
+"
+BDEPEND="
+	>=dev-libs/cglm-0.7.8
+	>=dev-util/meson-0.49
+	${PYTHON_DEPS}
+	doc? ( dev-python/docutils )"
+
+src_prepare() {
+	if use doc; then
+		sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${P}\')/" \
+			meson.build || die "Failed changing doc_path"
+	fi
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use doc docs)
+		$(meson_use lto b_lto)
+		$(meson_use zip enable_zip)
+		-Dstrip=false
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-05-03 18:06 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-05-03 18:06 UTC (permalink / raw
  To: gentoo-commits

commit:     9994757b89e5e5f261dd28e28fa508a12b2137e9
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Mon May  3 17:21:21 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon May  3 17:43:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9994757b

games-arcade/taisei: Version clean, 1.3.1

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest               |  1 -
 games-arcade/taisei/taisei-1.3.1-r1.ebuild | 56 ------------------------------
 2 files changed, 57 deletions(-)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index cec7ddb69..1824917ec 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1,2 +1 @@
-DIST taisei-v1.3.1.tar.xz 70763196 BLAKE2B ca1901ba0205f6771c087ee70222ceaa3c406a1c632a5f46df1fe4fe493c89af8b587e397551777cd956ab73b5104450356303d0ea0cb8d5cd1b6723ceb1d648 SHA512 5e6f364e67717091041a30103bf117bb5d7a6be76d3d9499b13e36fc190be8c2a0e7ceb582e1d106aa0c1acbb6e39b99a4873a0885af1ec2117ff6ff08e14e3c
 DIST taisei-v1.3.2.tar.xz 70481856 BLAKE2B 608b5db6f17e2693539ce0742a1812633e91e901b3935b9e54f91514827642334f6cb6f0217aff713f1ff9dd01d971ae895ac8c98b0360f254b52d3e49bfae61 SHA512 9304c082106dfa1ffcf6c8fb7333e64755b1246ef50b9f49d3e64d167eb15575ac667ca658b1d7e247582e164e703e5817384556dd633f5516670d975817717d

diff --git a/games-arcade/taisei/taisei-1.3.1-r1.ebuild b/games-arcade/taisei/taisei-1.3.1-r1.ebuild
deleted file mode 100644
index 94ff5f565..000000000
--- a/games-arcade/taisei/taisei-1.3.1-r1.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-
-inherit meson python-any-r1 xdg
-
-if [[ ${PV} == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
-else
-	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
-	KEYWORDS="~amd64"
-	S="${WORKDIR}/${PN}-v${PV}"
-fi
-
-DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
-HOMEPAGE="https://taisei-project.org/"
-LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
-SLOT="0"
-
-IUSE="doc lto zip"
-
-DEPEND="
-	media-libs/freetype:2
-	>=media-libs/libpng-1.5
-	media-libs/libsdl2
-	media-libs/sdl2-mixer[opus]
-	media-libs/libwebp
-	sys-libs/zlib
-	zip? ( dev-libs/libzip )
-"
-BDEPEND="
-	>=dev-util/meson-0.49
-	${PYTHON_DEPS}
-	doc? ( dev-python/docutils )"
-
-src_prepare() {
-	if use doc; then
-		sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${P}\')/" \
-			meson.build || die "Failed changing doc_path"
-	fi
-	default
-}
-
-src_configure() {
-	local emesonargs=(
-		$(meson_use doc docs)
-		$(meson_use lto b_lto)
-		$(meson_use zip enable_zip)
-		-Dstrip=false
-	)
-	meson_src_configure
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2021-05-03 18:06 Andrew Ammerlaan
  0 siblings, 0 replies; 25+ messages in thread
From: Andrew Ammerlaan @ 2021-05-03 18:06 UTC (permalink / raw
  To: gentoo-commits

commit:     c1a508a5d5d025486fbc9f2912dbefde9ac68f47
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Mon May  3 17:11:00 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon May  3 17:43:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c1a508a5

games-arcade/taisei: Fix dependencies

- cglm is a library so that goes in DEPEND instead of BDEPEND
- RDEPEND should be defined (and exclude cglm as taisei uses only the headers)

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 .../taisei/{taisei-1.3.2.ebuild => taisei-1.3.2-r1.ebuild}   | 12 ++++++++----
 games-arcade/taisei/taisei-9999.ebuild                       |  7 +++++--
 2 files changed, 13 insertions(+), 6 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.3.2.ebuild b/games-arcade/taisei/taisei-1.3.2-r1.ebuild
similarity index 93%
rename from games-arcade/taisei/taisei-1.3.2.ebuild
rename to games-arcade/taisei/taisei-1.3.2-r1.ebuild
index 05f6ff546..e58c11520 100644
--- a/games-arcade/taisei/taisei-1.3.2.ebuild
+++ b/games-arcade/taisei/taisei-1.3.2-r1.ebuild
@@ -23,18 +23,22 @@ SLOT="0"
 
 IUSE="doc lto zip"
 
-DEPEND="
+RDEPEND="
 	media-libs/freetype:2
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
-	media-libs/sdl2-mixer[opus]
+	media-libs/opusfile
 	media-libs/libwebp
+	app-arch/zstd
 	sys-libs/zlib
 	zip? ( dev-libs/libzip )
 "
-BDEPEND="
+DEPEND="
+	${RDEPEND}
 	>=dev-libs/cglm-0.7.8
-	>=dev-util/meson-0.49
+"
+BDEPEND="
+	>=dev-util/meson-0.53
 	${PYTHON_DEPS}
 	doc? ( dev-python/docutils )"
 

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 6d7deef43..e58c11520 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -23,7 +23,7 @@ SLOT="0"
 
 IUSE="doc lto zip"
 
-DEPEND="
+RDEPEND="
 	media-libs/freetype:2
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
@@ -33,8 +33,11 @@ DEPEND="
 	sys-libs/zlib
 	zip? ( dev-libs/libzip )
 "
-BDEPEND="
+DEPEND="
+	${RDEPEND}
 	>=dev-libs/cglm-0.7.8
+"
+BDEPEND="
 	>=dev-util/meson-0.53
 	${PYTHON_DEPS}
 	doc? ( dev-python/docutils )"


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2023-04-04  7:48 Florian Schmaus
  0 siblings, 0 replies; 25+ messages in thread
From: Florian Schmaus @ 2023-04-04  7:48 UTC (permalink / raw
  To: gentoo-commits

commit:     eb7954c2d3baa5b6404cc124591189e3dcea0b04
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Apr  1 21:21:29 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 21:23:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eb7954c2

games-arcade/taisei: Fix automagic dependencies

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 .../taisei/{taisei-1.3.2-r1.ebuild => taisei-1.3.2-r2.ebuild}        | 5 ++++-
 games-arcade/taisei/taisei-9999.ebuild                               | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.3.2-r1.ebuild b/games-arcade/taisei/taisei-1.3.2-r2.ebuild
similarity index 92%
rename from games-arcade/taisei/taisei-1.3.2-r1.ebuild
rename to games-arcade/taisei/taisei-1.3.2-r2.ebuild
index 5566ec61c..4891047e7 100644
--- a/games-arcade/taisei/taisei-1.3.2-r1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019-2021 Gentoo Authors
+# Copyright 2019-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -25,11 +25,13 @@ IUSE="doc lto zip"
 
 RDEPEND="
 	media-libs/freetype:2
+	media-libs/opusfile
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
 	media-libs/sdl2-mixer[opus]
 	media-libs/libwebp
 	sys-libs/zlib
+	dev-libs/openssl:=
 	zip? ( dev-libs/libzip )
 "
 DEPEND="
@@ -55,6 +57,7 @@ src_configure() {
 		$(meson_use lto b_lto)
 		$(meson_use zip enable_zip)
 		-Dstrip=false
+		-Duse_libcrypto=true
 	)
 	meson_src_configure
 }

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 460264b34..b51703e9b 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019-2021 Gentoo Authors
+# Copyright 2019-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -25,12 +25,14 @@ IUSE="doc lto zip"
 
 RDEPEND="
 	media-libs/freetype:2
+	media-libs/opusfile
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
 	media-libs/opusfile
 	media-libs/libwebp
 	app-arch/zstd
 	sys-libs/zlib
+	dev-libs/openssl:=
 	zip? ( dev-libs/libzip )
 "
 DEPEND="
@@ -63,6 +65,7 @@ src_configure() {
 		$(meson_use lto b_lto)
 		$(meson_use zip enable_zip)
 		-Dstrip=false
+		-Duse_libcrypto=true
 	)
 	meson_src_configure
 }


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2023-09-09 12:26 David Roman
  0 siblings, 0 replies; 25+ messages in thread
From: David Roman @ 2023-09-09 12:26 UTC (permalink / raw
  To: gentoo-commits

commit:     4c231a2df23c84c5bc5dfeec5780d986117d6716
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Fri Sep  8 14:16:36 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Fri Sep  8 14:16:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4c231a2d

games-arcade/taisei: sync live ebuild with latest version

Adapt dependencies, modernize.

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-9999.ebuild | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 69e2a116f4..96cd10e33c 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -11,9 +11,8 @@ if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
 else
-	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz"
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-${PV}.tar.xz"
 	KEYWORDS="~amd64"
-	S="${WORKDIR}/${PN}-v${PV}"
 fi
 
 DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
@@ -28,8 +27,8 @@ RDEPEND="
 	media-libs/opusfile
 	>=media-libs/libpng-1.5
 	media-libs/libsdl2
-	media-libs/opusfile
 	media-libs/libwebp
+	media-libs/opusfile
 	app-arch/zstd
 	sys-libs/zlib
 	dev-libs/openssl:=
@@ -40,7 +39,7 @@ DEPEND="
 	>=dev-libs/cglm-0.7.8
 "
 BDEPEND="
-	>=dev-util/meson-0.53
+	dev-util/meson
 	$(python_gen_any_dep '
 		dev-python/zstandard[${PYTHON_USEDEP}]
 	')
@@ -48,14 +47,13 @@ BDEPEND="
 	doc? ( dev-python/docutils )"
 
 python_check_deps() {
-	has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
+	python_has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
 }
 
 src_prepare() {
-	if use doc; then
-		sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
-			meson.build || die "Failed changing doc_path"
-	fi
+	# Path patching needed also without USE=doc (COPYING etc.)
+	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
+		meson.build || die "Failed changing doc_path"
 	default
 }
 
@@ -63,7 +61,7 @@ src_configure() {
 	local emesonargs=(
 		$(meson_use doc docs)
 		$(meson_use lto b_lto)
-		$(meson_use zip enable_zip)
+		$(meson_use zip vfs_zip)
 		-Dstrip=false
 		-Duse_libcrypto=true
 	)


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2023-09-09 12:26 David Roman
  0 siblings, 0 replies; 25+ messages in thread
From: David Roman @ 2023-09-09 12:26 UTC (permalink / raw
  To: gentoo-commits

commit:     130e0bf05054dbaef87b5c5d4074744aa94b8343
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Fri Sep  8 14:15:03 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Fri Sep  8 14:15:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=130e0bf0

games-arcade/taisei: add 1.4

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/Manifest          |  1 +
 games-arcade/taisei/taisei-1.4.ebuild | 69 +++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index 1824917ec4..8859e25152 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1 +1,2 @@
+DIST taisei-1.4.tar.xz 219573588 BLAKE2B c5a3300f3274ccc13e1beef9eb673affc223d761dfb632d9b067bc7cf401c3ed0422a78e0dba5334ab003044dae2cb24efb892edc955ee417ebc6c0477617314 SHA512 5715fd7dca868a3987941f24e26fb8ddc507ca5cb4e3c6a2b9c021bc0742d164e6ff2410f7b8de85907baa90f2c4b34925ac1196b163474047bee60141befb86
 DIST taisei-v1.3.2.tar.xz 70481856 BLAKE2B 608b5db6f17e2693539ce0742a1812633e91e901b3935b9e54f91514827642334f6cb6f0217aff713f1ff9dd01d971ae895ac8c98b0360f254b52d3e49bfae61 SHA512 9304c082106dfa1ffcf6c8fb7333e64755b1246ef50b9f49d3e64d167eb15575ac667ca658b1d7e247582e164e703e5817384556dd633f5516670d975817717d

diff --git a/games-arcade/taisei/taisei-1.4.ebuild b/games-arcade/taisei/taisei-1.4.ebuild
new file mode 100644
index 0000000000..96cd10e33c
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10,11} )
+
+inherit meson python-any-r1 xdg
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-${PV}.tar.xz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc lto zip"
+
+RDEPEND="
+	media-libs/freetype:2
+	media-libs/opusfile
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/libwebp
+	media-libs/opusfile
+	app-arch/zstd
+	sys-libs/zlib
+	dev-libs/openssl:=
+	zip? ( dev-libs/libzip )
+"
+DEPEND="
+	${RDEPEND}
+	>=dev-libs/cglm-0.7.8
+"
+BDEPEND="
+	dev-util/meson
+	$(python_gen_any_dep '
+		dev-python/zstandard[${PYTHON_USEDEP}]
+	')
+	${PYTHON_DEPS}
+	doc? ( dev-python/docutils )"
+
+python_check_deps() {
+	python_has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+	# Path patching needed also without USE=doc (COPYING etc.)
+	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
+		meson.build || die "Failed changing doc_path"
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use doc docs)
+		$(meson_use lto b_lto)
+		$(meson_use zip vfs_zip)
+		-Dstrip=false
+		-Duse_libcrypto=true
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2023-09-09 12:26 David Roman
  0 siblings, 0 replies; 25+ messages in thread
From: David Roman @ 2023-09-09 12:26 UTC (permalink / raw
  To: gentoo-commits

commit:     848a935bcfcce15e47a579c6b0dccc7d8188de76
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Sat Sep  9 01:51:18 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Sep  9 03:52:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=848a935b

games-arcade/taisei: Remove blobs, fix deprecated config

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/taisei-1.4.ebuild  | 17 +++++++++++++----
 games-arcade/taisei/taisei-9999.ebuild | 17 +++++++++++++----
 2 files changed, 26 insertions(+), 8 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.4.ebuild b/games-arcade/taisei/taisei-1.4.ebuild
index 96cd10e33c..53ee5485ba 100644
--- a/games-arcade/taisei/taisei-1.4.ebuild
+++ b/games-arcade/taisei/taisei-1.4.ebuild
@@ -11,7 +11,8 @@ if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
 else
-	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-${PV}.tar.xz"
+	# Auto-generated tarballs lacks submodules, all of which are taisei subrepos
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz"
 	KEYWORDS="~amd64"
 fi
 
@@ -54,16 +55,24 @@ src_prepare() {
 	# Path patching needed also without USE=doc (COPYING etc.)
 	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
 		meson.build || die "Failed changing doc_path"
+
+	# Remove blobs
+	rm external/basis_universal/OpenCL/lib/*.lib \
+		external/basis_universal/webgl_videotest/basis.wasm \
+		external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
+		external/basis_universal/webgl/encoder/build/basis_encoder.wasm \
+		|| die
+
 	default
 }
 
 src_configure() {
 	local emesonargs=(
-		$(meson_use doc docs)
+		$(meson_feature doc docs)
 		$(meson_use lto b_lto)
-		$(meson_use zip vfs_zip)
+		$(meson_feature zip vfs_zip)
 		-Dstrip=false
-		-Duse_libcrypto=true
+		-Duse_libcrypto=enabled
 	)
 	meson_src_configure
 }

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 96cd10e33c..53ee5485ba 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -11,7 +11,8 @@ if [[ ${PV} == *9999* ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
 else
-	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-${PV}.tar.xz"
+	# Auto-generated tarballs lacks submodules, all of which are taisei subrepos
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz"
 	KEYWORDS="~amd64"
 fi
 
@@ -54,16 +55,24 @@ src_prepare() {
 	# Path patching needed also without USE=doc (COPYING etc.)
 	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
 		meson.build || die "Failed changing doc_path"
+
+	# Remove blobs
+	rm external/basis_universal/OpenCL/lib/*.lib \
+		external/basis_universal/webgl_videotest/basis.wasm \
+		external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
+		external/basis_universal/webgl/encoder/build/basis_encoder.wasm \
+		|| die
+
 	default
 }
 
 src_configure() {
 	local emesonargs=(
-		$(meson_use doc docs)
+		$(meson_feature doc docs)
 		$(meson_use lto b_lto)
-		$(meson_use zip vfs_zip)
+		$(meson_feature zip vfs_zip)
 		-Dstrip=false
-		-Duse_libcrypto=true
+		-Duse_libcrypto=enabled
 	)
 	meson_src_configure
 }


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2024-03-12  0:18 Julien Roy
  0 siblings, 0 replies; 25+ messages in thread
From: Julien Roy @ 2024-03-12  0:18 UTC (permalink / raw
  To: gentoo-commits

commit:     b354ab4d23a555eb72854363da94707db8c56105
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Mon Mar 11 22:02:03 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Mon Mar 11 22:02:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b354ab4d

games-arcade/taisei: add 1.4.1

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/Manifest            |  1 +
 games-arcade/taisei/taisei-1.4.1.ebuild | 78 +++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index 8859e25152..ce0718fe91 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1,2 +1,3 @@
+DIST taisei-1.4.1.tar.xz 219550456 BLAKE2B 640b4e53b4ee4784173a8ba0ea435a75aa547a788e549f56c3dff99f9a36997a3c7c73d857fc86bf7aa10d6c22f3bf826991d3a61147e2ec24771fb96c987ed6 SHA512 7c11ed1c7a7898ca4f43854224c8e55305fcef8312f0d32b488c85fbf16cceaa84fd52948bb81e311095b93254d95ea7eaa8f85c42bbbe54cf81d2702242cb2b
 DIST taisei-1.4.tar.xz 219573588 BLAKE2B c5a3300f3274ccc13e1beef9eb673affc223d761dfb632d9b067bc7cf401c3ed0422a78e0dba5334ab003044dae2cb24efb892edc955ee417ebc6c0477617314 SHA512 5715fd7dca868a3987941f24e26fb8ddc507ca5cb4e3c6a2b9c021bc0742d164e6ff2410f7b8de85907baa90f2c4b34925ac1196b163474047bee60141befb86
 DIST taisei-v1.3.2.tar.xz 70481856 BLAKE2B 608b5db6f17e2693539ce0742a1812633e91e901b3935b9e54f91514827642334f6cb6f0217aff713f1ff9dd01d971ae895ac8c98b0360f254b52d3e49bfae61 SHA512 9304c082106dfa1ffcf6c8fb7333e64755b1246ef50b9f49d3e64d167eb15575ac667ca658b1d7e247582e164e703e5817384556dd633f5516670d975817717d

diff --git a/games-arcade/taisei/taisei-1.4.1.ebuild b/games-arcade/taisei/taisei-1.4.1.ebuild
new file mode 100644
index 0000000000..3d5d508fa4
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.4.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10,11} )
+
+inherit meson python-any-r1 xdg
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+	# Auto-generated tarballs lacks submodules, all of which are taisei subrepos
+	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc lto zip"
+
+RDEPEND="
+	media-libs/freetype:2
+	media-libs/opusfile
+	>=media-libs/libpng-1.5
+	media-libs/libsdl2
+	media-libs/libwebp
+	media-libs/opusfile
+	app-arch/zstd
+	sys-libs/zlib
+	dev-libs/openssl:=
+	zip? ( dev-libs/libzip )
+"
+DEPEND="
+	${RDEPEND}
+	>=dev-libs/cglm-0.7.8
+"
+BDEPEND="
+	dev-build/meson
+	$(python_gen_any_dep '
+		dev-python/zstandard[${PYTHON_USEDEP}]
+	')
+	${PYTHON_DEPS}
+	doc? ( dev-python/docutils )"
+
+python_check_deps() {
+	python_has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+	# Path patching needed also without USE=doc (COPYING etc.)
+	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
+		meson.build || die "Failed changing doc_path"
+
+	# Remove blobs
+	rm external/basis_universal/OpenCL/lib/*.lib \
+		external/basis_universal/webgl_videotest/basis.wasm \
+		external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
+		external/basis_universal/webgl/encoder/build/basis_encoder.wasm \
+		|| die
+
+	default
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature doc docs)
+		$(meson_use lto b_lto)
+		$(meson_feature zip vfs_zip)
+		-Dstrip=false
+		-Duse_libcrypto=enabled
+	)
+	meson_src_configure
+}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2024-03-22 19:17 Julien Roy
  0 siblings, 0 replies; 25+ messages in thread
From: Julien Roy @ 2024-03-22 19:17 UTC (permalink / raw
  To: gentoo-commits

commit:     511619a6c772b7ff3a38ad1e4b37f93486e4b01d
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Fri Mar 22 17:56:51 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri Mar 22 17:57:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=511619a6

games-arcade/taisei: drop 1.4

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest          |  1 -
 games-arcade/taisei/taisei-1.4.ebuild | 78 -----------------------------------
 2 files changed, 79 deletions(-)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index 35fb7293ca..bad1273215 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1,2 +1 @@
 DIST taisei-1.4.1.tar.xz 219550456 BLAKE2B 640b4e53b4ee4784173a8ba0ea435a75aa547a788e549f56c3dff99f9a36997a3c7c73d857fc86bf7aa10d6c22f3bf826991d3a61147e2ec24771fb96c987ed6 SHA512 7c11ed1c7a7898ca4f43854224c8e55305fcef8312f0d32b488c85fbf16cceaa84fd52948bb81e311095b93254d95ea7eaa8f85c42bbbe54cf81d2702242cb2b
-DIST taisei-1.4.tar.xz 219573588 BLAKE2B c5a3300f3274ccc13e1beef9eb673affc223d761dfb632d9b067bc7cf401c3ed0422a78e0dba5334ab003044dae2cb24efb892edc955ee417ebc6c0477617314 SHA512 5715fd7dca868a3987941f24e26fb8ddc507ca5cb4e3c6a2b9c021bc0742d164e6ff2410f7b8de85907baa90f2c4b34925ac1196b163474047bee60141befb86

diff --git a/games-arcade/taisei/taisei-1.4.ebuild b/games-arcade/taisei/taisei-1.4.ebuild
deleted file mode 100644
index 3d5d508fa4..0000000000
--- a/games-arcade/taisei/taisei-1.4.ebuild
+++ /dev/null
@@ -1,78 +0,0 @@
-# Copyright 2019-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10,11} )
-
-inherit meson python-any-r1 xdg
-
-if [[ ${PV} == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
-else
-	# Auto-generated tarballs lacks submodules, all of which are taisei subrepos
-	SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz"
-	KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
-HOMEPAGE="https://taisei-project.org/"
-LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
-SLOT="0"
-
-IUSE="doc lto zip"
-
-RDEPEND="
-	media-libs/freetype:2
-	media-libs/opusfile
-	>=media-libs/libpng-1.5
-	media-libs/libsdl2
-	media-libs/libwebp
-	media-libs/opusfile
-	app-arch/zstd
-	sys-libs/zlib
-	dev-libs/openssl:=
-	zip? ( dev-libs/libzip )
-"
-DEPEND="
-	${RDEPEND}
-	>=dev-libs/cglm-0.7.8
-"
-BDEPEND="
-	dev-build/meson
-	$(python_gen_any_dep '
-		dev-python/zstandard[${PYTHON_USEDEP}]
-	')
-	${PYTHON_DEPS}
-	doc? ( dev-python/docutils )"
-
-python_check_deps() {
-	python_has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
-}
-
-src_prepare() {
-	# Path patching needed also without USE=doc (COPYING etc.)
-	sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
-		meson.build || die "Failed changing doc_path"
-
-	# Remove blobs
-	rm external/basis_universal/OpenCL/lib/*.lib \
-		external/basis_universal/webgl_videotest/basis.wasm \
-		external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
-		external/basis_universal/webgl/encoder/build/basis_encoder.wasm \
-		|| die
-
-	default
-}
-
-src_configure() {
-	local emesonargs=(
-		$(meson_feature doc docs)
-		$(meson_use lto b_lto)
-		$(meson_feature zip vfs_zip)
-		-Dstrip=false
-		-Duse_libcrypto=enabled
-	)
-	meson_src_configure
-}


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2024-03-22 19:17 Julien Roy
  0 siblings, 0 replies; 25+ messages in thread
From: Julien Roy @ 2024-03-22 19:17 UTC (permalink / raw
  To: gentoo-commits

commit:     63a6a11453cfd614d0d8aec5fecc931d6a0f2f87
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Fri Mar 22 17:57:00 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri Mar 22 17:57:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=63a6a114

games-arcade/taisei: enable py3.12

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/taisei-1.4.1.ebuild | 2 +-
 games-arcade/taisei/taisei-9999.ebuild  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-arcade/taisei/taisei-1.4.1.ebuild b/games-arcade/taisei/taisei-1.4.1.ebuild
index 3d5d508fa4..62f114e70a 100644
--- a/games-arcade/taisei/taisei-1.4.1.ebuild
+++ b/games-arcade/taisei/taisei-1.4.1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10,11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit meson python-any-r1 xdg
 

diff --git a/games-arcade/taisei/taisei-9999.ebuild b/games-arcade/taisei/taisei-9999.ebuild
index 3d5d508fa4..62f114e70a 100644
--- a/games-arcade/taisei/taisei-9999.ebuild
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10,11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit meson python-any-r1 xdg
 


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2024-03-30 19:31 Julien Roy
  0 siblings, 0 replies; 25+ messages in thread
From: Julien Roy @ 2024-03-30 19:31 UTC (permalink / raw
  To: gentoo-commits

commit:     3720a5c2534635d8bf6b2909d2fb31a3dc6d7199
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sat Mar 30 19:26:06 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sat Mar 30 19:26:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3720a5c2

games-arcade/taisei: require <dev-libs/cglm-0.9.3

taisei-1.4.1 is not yet compatible with dev-libs/cglm-0.9.3.
Upstream issue: https://github.com/taisei-project/taisei/issues/381

Closes: https://bugs.gentoo.org/928263
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-1.4.1.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/games-arcade/taisei/taisei-1.4.1.ebuild b/games-arcade/taisei/taisei-1.4.1.ebuild
index 62f114e70a..631179d03a 100644
--- a/games-arcade/taisei/taisei-1.4.1.ebuild
+++ b/games-arcade/taisei/taisei-1.4.1.ebuild
@@ -35,9 +35,11 @@ RDEPEND="
 	dev-libs/openssl:=
 	zip? ( dev-libs/libzip )
 "
+# see: https://github.com/taisei-project/taisei/issues/381
 DEPEND="
 	${RDEPEND}
 	>=dev-libs/cglm-0.7.8
+	<dev-libs/cglm-0.9.3
 "
 BDEPEND="
 	dev-build/meson


^ permalink raw reply related	[flat|nested] 25+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/
@ 2024-03-31  2:18 Julien Roy
  0 siblings, 0 replies; 25+ messages in thread
From: Julien Roy @ 2024-03-31  2:18 UTC (permalink / raw
  To: gentoo-commits

commit:     7c4d99f8f983053283d7add647f5cbbeccb94b2d
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sun Mar 31 02:09:53 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Mar 31 02:09:53 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7c4d99f8

games-arcade/taisei: block only !!~dev-libs/cglm-0.9.3

The incompatibility problem will be fixed in the upcoming cglm release,
see https://github.com/recp/cglm/issues/404 .

Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/taisei-1.4.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-arcade/taisei/taisei-1.4.1.ebuild b/games-arcade/taisei/taisei-1.4.1.ebuild
index 631179d03a..854e6491a6 100644
--- a/games-arcade/taisei/taisei-1.4.1.ebuild
+++ b/games-arcade/taisei/taisei-1.4.1.ebuild
@@ -39,7 +39,7 @@ RDEPEND="
 DEPEND="
 	${RDEPEND}
 	>=dev-libs/cglm-0.7.8
-	<dev-libs/cglm-0.9.3
+	!!~dev-libs/cglm-0.9.3
 "
 BDEPEND="
 	dev-build/meson


^ permalink raw reply related	[flat|nested] 25+ messages in thread

end of thread, other threads:[~2024-03-31  2:18 UTC | newest]

Thread overview: 25+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-11-25 15:32 [gentoo-commits] repo/proj/guru:master commit in: games-arcade/taisei/ Ralph Seichter
  -- strict thread matches above, loose matches on Subject: below --
2024-03-31  2:18 Julien Roy
2024-03-30 19:31 Julien Roy
2024-03-22 19:17 Julien Roy
2024-03-22 19:17 Julien Roy
2024-03-12  0:18 Julien Roy
2023-09-09 12:26 David Roman
2023-09-09 12:26 David Roman
2023-09-09 12:26 David Roman
2023-04-04  7:48 Florian Schmaus
2021-05-03 18:06 Andrew Ammerlaan
2021-05-03 18:06 Andrew Ammerlaan
2021-05-02  9:27 Theo Anderson
2021-05-02  9:27 Theo Anderson
2021-04-24 23:19 Theo Anderson
2021-04-18  9:10 Andrew Ammerlaan
2021-04-17 20:00 Andrew Ammerlaan
2021-04-08 17:20 Andrew Ammerlaan
2021-04-08 17:20 Andrew Ammerlaan
2020-06-02 17:07 Andrew Ammerlaan
2020-04-12 16:39 Andrew Ammerlaan
2020-03-09 17:51 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-09 17:55 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2019-11-25 15:32 Ralph Seichter
2019-07-13 13:41 Ralph Seichter
2019-07-13 13:41 Ralph Seichter

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox